#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define subrel 1
%define rel 1

Name:		kdenlive
Version: 17.12.2
Release:	%mkrel %rel
License:	GPLv2+
Summary:	A non-linear video editing application for KDE
Group:		Video/Editors and Converters
URL:		https://www.kdenlive.org
Source:		https://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	mlt-devel >= 6.4.0

BuildRequires:	pkgconfig(libv4l2)

BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)

BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Archive)
BuildRequires:	cmake(KF5Bookmarks)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5ConfigWidgets)
BuildRequires:	cmake(KF5Crash)
BuildRequires:	cmake(KF5DBusAddons)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5NotifyConfig)
BuildRequires:	cmake(KF5NewStuff)
BuildRequires:	cmake(KF5XmlGui)
BuildRequires:	cmake(KF5Notifications)
BuildRequires:	cmake(KF5GuiAddons)
BuildRequires:	cmake(KF5TextWidgets)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5Plotting)
BuildRequires:	cmake(KF5FileMetaData)

BuildRequires:	libxml2-utils
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl

Requires:	mlt
Requires:	mlt-kdenlive
Requires:	ffmpeg
Requires:	dvgrab
Requires:	qtquickcontrols5
Requires:	desktop-common-data
Requires:	breeze
Requires:	breeze-icons
# plugin libqtquick2plugin.so is needed (mga#23025)
Requires:	qtdeclarative5

Recommends:	swh-plugins
Recommends:	recordmydesktop
Recommends:	cdrkit-genisoimage
Recommends:	dvdauthor
Recommends:	oxygen-icon-theme
Recommends:	frei0r
Recommends:	ladspa


Conflicts:      kde-l10n-ar < 17.12.0-1
Conflicts:      kde-l10n-ast < 17.12.0-1
Conflicts:      kde-l10n-bg < 17.12.0-1
Conflicts:      kde-l10n-bs < 17.12.0-1
Conflicts:      kde-l10n-ca < 17.12.0-1
Conflicts:      kde-l10n-ca-valencia < 17.12.0-1
Conflicts:      kde-l10n-cs < 17.12.0-1
Conflicts:      kde-l10n-da < 17.12.0-1
Conflicts:      kde-l10n-de < 17.12.0-1
Conflicts:      kde-l10n-el < 17.12.0-1
Conflicts:      kde-l10n-en_GB < 17.12.0-1
Conflicts:      kde-l10n-en_US < 17.12.0-1
Conflicts:      kde-l10n-es < 17.12.0-1
Conflicts:      kde-l10n-et < 17.12.0-1
Conflicts:      kde-l10n-eu < 17.12.0-1
Conflicts:      kde-l10n-fa < 17.12.0-1
Conflicts:      kde-l10n-fi < 17.12.0-1
Conflicts:      kde-l10n-fr < 17.12.0-1
Conflicts:      kde-l10n-ga < 17.12.0-1
Conflicts:      kde-l10n-gl < 17.12.0-1
Conflicts:      kde-l10n-he < 17.12.0-1
Conflicts:      kde-l10n-hi < 17.12.0-1
Conflicts:      kde-l10n-hr < 17.12.0-1
Conflicts:      kde-l10n-hu < 17.12.0-1
Conflicts:      kde-l10n-ia < 17.12.0-1
Conflicts:      kde-l10n-id < 17.12.0-1
Conflicts:      kde-l10n-is < 17.12.0-1
Conflicts:      kde-l10n-it < 17.12.0-1
Conflicts:      kde-l10n-ja < 17.12.0-1
Conflicts:      kde-l10n-kk < 17.12.0-1
Conflicts:      kde-l10n-km < 17.12.0-1
Conflicts:      kde-l10n-ko < 17.12.0-1
Conflicts:      kde-l10n-lt < 17.12.0-1
Conflicts:      kde-l10n-lv < 17.12.0-1
Conflicts:      kde-l10n-mr < 17.12.0-1
Conflicts:      kde-l10n-nb < 17.12.0-1
Conflicts:      kde-l10n-nds < 17.12.0-1
Conflicts:      kde-l10n-nl < 17.12.0-1
Conflicts:      kde-l10n-nn < 17.12.0-1
Conflicts:      kde-l10n-pa < 17.12.0-1
Conflicts:      kde-l10n-pl < 17.12.0-1
Conflicts:      kde-l10n-pt < 17.12.0-1
Conflicts:      kde-l10n-pt_BR < 17.12.0-1
Conflicts:      kde-l10n-ro < 17.12.0-1
Conflicts:      kde-l10n-ru < 17.12.0-1
Conflicts:      kde-l10n-sk < 17.12.0-1
Conflicts:      kde-l10n-sl < 17.12.0-1
Conflicts:      kde-l10n-sr < 17.12.0-1
Conflicts:      kde-l10n-sv < 17.12.0-1
Conflicts:      kde-l10n-tr < 17.12.0-1
Conflicts:      kde-l10n-ug < 17.12.0-1
Conflicts:      kde-l10n-uk < 17.12.0-1
Conflicts:      kde-l10n-wa < 17.12.0-1
Conflicts:      kde-l10n-zh_CN < 17.12.0-1
Conflicts:      kde-l10n-zh_TW < 17.12.0-1

Conflicts:      kde-l10n-handbooks-ar < 17.12.0-1
Conflicts:      kde-l10n-handbooks-ast < 17.12.0-1
Conflicts:      kde-l10n-handbooks-bg < 17.12.0-1
Conflicts:      kde-l10n-handbooks-bs < 17.12.0-1
Conflicts:      kde-l10n-handbooks-ca < 17.12.0-1
Conflicts:      kde-l10n-handbooks-ca-valencia < 17.12.0-1
Conflicts:      kde-l10n-handbooks-cs < 17.12.0-1
Conflicts:      kde-l10n-handbooks-da < 17.12.0-1
Conflicts:      kde-l10n-handbooks-de < 17.12.0-1
Conflicts:      kde-l10n-handbooks-el < 17.12.0-1
Conflicts:      kde-l10n-handbooks-en_GB < 17.12.0-1
Conflicts:      kde-l10n-handbooks-en_US < 17.12.0-1
Conflicts:      kde-l10n-handbooks-es < 17.12.0-1
Conflicts:      kde-l10n-handbooks-et < 17.12.0-1
Conflicts:      kde-l10n-handbooks-eu < 17.12.0-1
Conflicts:      kde-l10n-handbooks-fa < 17.12.0-1
Conflicts:      kde-l10n-handbooks-fi < 17.12.0-1
Conflicts:      kde-l10n-handbooks-fr < 17.12.0-1
Conflicts:      kde-l10n-handbooks-ga < 17.12.0-1
Conflicts:      kde-l10n-handbooks-gl < 17.12.0-1
Conflicts:      kde-l10n-handbooks-he < 17.12.0-1
Conflicts:      kde-l10n-handbooks-hi < 17.12.0-1
Conflicts:      kde-l10n-handbooks-hr < 17.12.0-1
Conflicts:      kde-l10n-handbooks-hu < 17.12.0-1
Conflicts:      kde-l10n-handbooks-ia < 17.12.0-1
Conflicts:      kde-l10n-handbooks-id < 17.12.0-1
Conflicts:      kde-l10n-handbooks-is < 17.12.0-1
Conflicts:      kde-l10n-handbooks-it < 17.12.0-1
Conflicts:      kde-l10n-handbooks-ja < 17.12.0-1
Conflicts:      kde-l10n-handbooks-kk < 17.12.0-1
Conflicts:      kde-l10n-handbooks-km < 17.12.0-1
Conflicts:      kde-l10n-handbooks-ko < 17.12.0-1
Conflicts:      kde-l10n-handbooks-lt < 17.12.0-1
Conflicts:      kde-l10n-handbooks-lv < 17.12.0-1
Conflicts:      kde-l10n-handbooks-mr < 17.12.0-1
Conflicts:      kde-l10n-handbooks-nb < 17.12.0-1
Conflicts:      kde-l10n-handbooks-nds < 17.12.0-1
Conflicts:      kde-l10n-handbooks-nl < 17.12.0-1
Conflicts:      kde-l10n-handbooks-nn < 17.12.0-1
Conflicts:      kde-l10n-handbooks-pa < 17.12.0-1
Conflicts:      kde-l10n-handbooks-pl < 17.12.0-1
Conflicts:      kde-l10n-handbooks-pt < 17.12.0-1
Conflicts:      kde-l10n-handbooks-pt_BR < 17.12.0-1
Conflicts:      kde-l10n-handbooks-ro < 17.12.0-1
Conflicts:      kde-l10n-handbooks-ru < 17.12.0-1
Conflicts:      kde-l10n-handbooks-sk < 17.12.0-1
Conflicts:      kde-l10n-handbooks-sl < 17.12.0-1
Conflicts:      kde-l10n-handbooks-sr < 17.12.0-1
Conflicts:      kde-l10n-handbooks-sv < 17.12.0-1
Conflicts:      kde-l10n-handbooks-tr < 17.12.0-1
Conflicts:      kde-l10n-handbooks-ug < 17.12.0-1
Conflicts:      kde-l10n-handbooks-uk < 17.12.0-1
Conflicts:      kde-l10n-handbooks-wa < 17.12.0-1
Conflicts:      kde-l10n-handbooks-zh_CN < 17.12.0-1
Conflicts:      kde-l10n-handbooks-zh_TW < 17.12.0-1

%description
Kdenlive is a non-linear video editor for KDE. It relies on a separate
renderer, piave, to handle it's rendering. Kdenlive supports multitrack
editing.

%files -f %name.lang
%_kf5_bindir/*
%_kf5_datadir/kdenlive/
%_kf5_iconsdir/hicolor/*/*/*
%_kf5_sysconfdir/xdg/*
%_kf5_appdatadir/org.kde.kdenlive.appdata.xml
%_kf5_applicationdir/org.kde.kdenlive.desktop
%_kf5_datadir/config.kcfg/kdenlivesettings.kcfg
%_kf5_knotificationsdir/kdenlive.notifyrc
%_kf5_services/mltpreview.desktop
%_kf5_datadir/kxmlgui5/kdenlive
%_qt5_plugindir/mltpreview.so
%_kf5_datadir/mime/packages/kdenlive.xml
%_kf5_datadir/mime/packages/westley.xml
%_kf5_mandir/man1/*

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

# fix build renaming an incorrect name file (section 1 - screen 2.png)
mv po/fr/docs/kdenlive/section*1*-*screen*2.png po/fr/docs/kdenlive/section1-screen2.png

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang %name --with-html


%changelog
* Sun May 13 2018 daviddavid <daviddavid> 17.12.2-1.1.mga6
  (not released yet)
+ Revision: 1228706
- add missing dependency on qtdeclarative5 (mga#23025)
+ neoclust <neoclust>
- Sync with cauldron changes from 17.12.2
- New version 17.12.2
- New version 17.12.1

* Mon May 15 2017 zezinho <zezinho> 16.12.3-5.mga6
+ Revision: 1101788
- rediffed patch
- patch to tile clip duration bug
- go back to 16.12.3 to prevent upgrade of kdenlive without the rest of kde stack

* Fri May 12 2017 zezinho <zezinho> 17.04.1-1.mga6
+ Revision: 1100564
- workaround doc file with spaces in name
- new bugfix version that fixes title clips duration changes

* Mon May 08 2017 zezinho <zezinho> 16.12.3-4.mga6
+ Revision: 1099701
- removes xine suggests, plasma5 version does not use it anymore

* Tue Mar 21 2017 neoclust <neoclust> 16.12.3-3.mga6
+ Revision: 1094211
- Fix default Requires (mga#19135)

* Fri Mar 10 2017 akien <akien> 16.12.3-2.mga6
+ Revision: 1091610
- Rebuild for v4l-utils 1.12.3

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090048
- New version 16.12.3

* Mon Feb 20 2017 daviddavid <daviddavid> 16.12.2-1.mga6
+ Revision: 1087053
- requires qtquickcontrols5 (mga#20328)
+ neoclust <neoclust>
- New version 16.12.2

* Sun Jan 22 2017 zezinho <zezinho> 16.12.1-2.mga6
+ Revision: 1082944
- rebuild against MLT 6.4.1
+ neoclust <neoclust>
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076784
- New version 16.12.0

* Wed Dec 14 2016 daviddavid <daviddavid> 16.11.90-2.mga6
+ Revision: 1075057
- add missing BRs on KF5FileMetaData and Qt5WebKitWidgets
- switch Kf5 BRs to cmake()
- remove no more needed BRs qimageblitz and qjson

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1071996
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067314
- New version 16.08.3

* Fri Oct 21 2016 daviddavid <daviddavid> 16.08.2-1.mga6
+ Revision: 1062900
- New version 16.08.2

* Sat Sep 10 2016 zezinho <zezinho> 16.08.1-1.mga6
+ Revision: 1051349
- fix mixed tabs and spaces
+ neoclust <neoclust>
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047277
- New version 16.08.0

* Sun Jul 10 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040502
- New version 16.04.3

* Tue May 10 2016 zezinho <zezinho> 16.04.1-1.mga6
+ Revision: 1012360
- new version

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1005351
- New version

* Sun Mar 20 2016 luigiwalser <luigiwalser> 15.12.3-1.mga6
+ Revision: 993332
- 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987653
- New version 15.12.2

* Thu Jan 21 2016 daviddavid <daviddavid> 15.12.1-1.mga6
+ Revision: 926226
- new version: 15.12.1

* Thu Dec 31 2015 daviddavid <daviddavid> 15.12.0-1.mga6
+ Revision: 917052
- new version: 15.12.0
- update file list

* Wed Sep 16 2015 fwang <fwang> 15.08.1-1.mga6
+ Revision: 879717
- 15.08.1

* Sun Aug 23 2015 sander85 <sander85> 15.08.0-1.mga6
+ Revision: 868790
- New version: 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 864007
- New version 15.07.90

* Wed Aug 12 2015 neoclust <neoclust> 15.04.3-3.mga6
+ Revision: 863921
- Plasma Mass Rebuild - Rebuild for new Plasma

* Wed Aug 05 2015 neoclust <neoclust> 15.04.3-2.mga6
+ Revision: 861169
- Own kxmlgui5/%%name dir

* Wed Jul 08 2015 neoclust <neoclust> 15.04.3-1.mga6
+ Revision: 852674
- New version

* Sun Dec 07 2014 zezinho <zezinho> 0.9.10-3.mga5
+ Revision: 802081
- ladspa is needed for more sound effects

* Wed Oct 15 2014 umeabot <umeabot> 0.9.10-2.mga5
+ Revision: 746084
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 juancho <juancho> 0.9.10-1.mga5
+ Revision: 736350
- Updated to 0.9.10

* Tue Sep 16 2014 umeabot <umeabot> 0.9.8-2.mga5
+ Revision: 681000
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Wed May 28 2014 zezinho <zezinho> 0.9.8-1.mga5
+ Revision: 627222
- new version 0.9.8

* Sat Oct 19 2013 umeabot <umeabot> 0.9.6-3.mga4
+ Revision: 529703
- Mageia 4 Mass Rebuild

* Thu Jul 11 2013 fwang <fwang> 0.9.6-2.mga4
+ Revision: 452916
- rebuild for new mlt

* Sun Apr 07 2013 sander85 <sander85> 0.9.6-1.mga3
+ Revision: 408697
- New version: 0.9.6

* Mon Feb 04 2013 neoclust <neoclust> 0.9.4-2.mga3
+ Revision: 394471
- Adapt requires to last mlt changes

* Wed Jan 30 2013 zezinho <zezinho> 0.9.4-1.mga3
+ Revision: 393563
- bring back webcam support
- new version

* Mon Jan 14 2013 sander85 <sander85> 0.9.2-6.mga3
+ Revision: 385772
- Fix group

* Sat Jan 12 2013 umeabot <umeabot> 0.9.2-5.mga3
+ Revision: 356012
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 juancho <juancho> 0.9.2-4.mga3
+ Revision: 322941
- Rebuild against new mlt 0.8.6.

* Fri Nov 09 2012 zezinho <zezinho> 0.9.2-3.mga3
+ Revision: 316763
- suggest xine-ui to test DVD generated

* Fri Jun 15 2012 fwang <fwang> 0.9.2-2.mga3
+ Revision: 260706
- rebuid for new mlt

* Thu May 31 2012 fwang <fwang> 0.9.2-1.mga3
+ Revision: 251877
- new version 0.9.2

* Wed May 30 2012 fwang <fwang> 0.9-1.mga3
+ Revision: 249678
- new version 0.9

* Fri Dec 09 2011 fwang <fwang> 0.8.2.1-1.mga2
+ Revision: 179585
- new version 0.8.2.1

* Tue Nov 01 2011 fwang <fwang> 0.8.2-1.mga2
+ Revision: 160773
- update file list
- update file list
- new version 0.8.2

* Mon Oct 03 2011 juancho <juancho> 0.8-4.mga2
+ Revision: 151221
- Fixed BUG: 2882

* Thu Jun 09 2011 ahmad <ahmad> 0.8-3.mga2
+ Revision: 102163
- Suggest the frei0r video effects plugins

* Wed May 18 2011 ahmad <ahmad> 0.8-2.mga1
+ Revision: 99683
- Suggest oxygen-icon-theme

* Tue May 17 2011 dmorgan <dmorgan> 0.8-1.mga1
+ Revision: 99461
- New version 0.8

* Fri May 13 2011 ahmad <ahmad> 0.7.8-3.mga1
+ Revision: 98041
- Fix the genisoimage suggests by suggest cdrkit-genisoimage (it doesn't
  provide genisoimage, ABC step is checking 'urpmq --provides' output), spotted by
  Anssi

* Thu May 12 2011 ahmad <ahmad> 0.7.8-2.mga1
+ Revision: 97587
- Add suggests on recordmydesktop, genisoimage and dvdauthor
- Drop the buildroot declaration

* Mon Feb 28 2011 ennael <ennael> 0.7.8-1.mga1
+ Revision: 61387
- come back to %%exclude
- delete uneeded files
- clean spec file
- imported package kdenlive


* Wed Sep 15 2010 Funda Wang <fwang@mandriva.org> 0.7.8-1mdv2011.0
+ Revision: 578654
- new version 0.7.8

* Sun Feb 28 2010 Frederik Himpe <fhimpe@mandriva.org> 0.7.7.1-1mdv2010.1
+ Revision: 512757
- update to new version 0.7.7.1

  + Funda Wang <fwang@mandriva.org>
    - update URL

* Wed Feb 17 2010 Funda Wang <fwang@mandriva.org> 0.7.7-1mdv2010.1
+ Revision: 507050
- New version 0.7.7

* Fri Oct 09 2009 Funda Wang <fwang@mandriva.org> 0.7.6-1mdv2010.0
+ Revision: 456248
- New version 0.7.6

* Sat Jul 04 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.5-1mdv2010.0
+ Revision: 392394
- Update to new version 0.7.5
- Don't package Debian menu file and image

* Mon Jun 01 2009 Funda Wang <fwang@mandriva.org> 0.7.4-1mdv2010.0
+ Revision: 381773
- bump mlt BR
- New version 0.7.4

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 0.7.3-1mdv2010.0
+ Revision: 369522
- New version 0.7.3

* Tue Feb 03 2009 Funda Wang <fwang@mandriva.org> 0.7.2.1-1mdv2009.1
+ Revision: 336743
- 0.7.2.1

* Sun Feb 01 2009 Funda Wang <fwang@mandriva.org> 0.7.2-1mdv2009.1
+ Revision: 336243
- New version 0.7.2

* Wed Dec 31 2008 Funda Wang <fwang@mandriva.org> 0.7.1-1mdv2009.1
+ Revision: 321594
- avcodec is not needed
- New version 0.7.1
- rediff desktop patches

* Thu Nov 13 2008 Funda Wang <fwang@mandriva.org> 0.7-2mdv2009.1
+ Revision: 302604
- bump mlt requirement

* Thu Nov 13 2008 Funda Wang <fwang@mandriva.org> 0.7-1mdv2009.1
+ Revision: 302602
- New version 0.7 final

* Tue Nov 11 2008 Funda Wang <fwang@mandriva.org> 0.7-0.2670.1mdv2009.1
+ Revision: 302095
- new snapshot

* Thu Oct 16 2008 Funda Wang <fwang@mandriva.org> 0.7-0.2471.1mdv2009.1
+ Revision: 294129
- New snapshot

* Tue Sep 23 2008 Funda Wang <fwang@mandriva.org> 0.7-0.2404.2mdv2009.0
+ Revision: 287182
- add icons from old svn trunk
- New snapshot

* Wed Sep 10 2008 Stéphane Téletchéa <steletch@mandriva.org> 0.7-0.2392.2mdv2009.0
+ Revision: 283432
- update the the lastest svn revision
- rebuild with corrected mlt and mlt++

* Sun Sep 07 2008 Funda Wang <fwang@mandriva.org> 0.7-0.2392.1mdv2009.0
+ Revision: 282323
- New snapshot 2387

* Sat Aug 30 2008 Funda Wang <fwang@mandriva.org> 0.7-0.2387.1mdv2009.0
+ Revision: 277592
- fix file list
- rediff path patch
- New snapshot

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Adapt specfile to kde layout

* Wed Aug 13 2008 Funda Wang <fwang@mandriva.org> 0.7-0.2376.1mdv2009.0
+ Revision: 271506
- New snapshot 0.7 ( kde4 version )

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - buildrequires ffmpeg-devel

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Feb 04 2008 Giuseppe Ghibò <ghibo@mandriva.com> 0.6-0.20080130.2mdv2008.1
+ Revision: 161904
- Add constraints to BuildRequires (for bug #37099).

* Wed Jan 30 2008 Giuseppe Ghibò <ghibo@mandriva.com> 0.6-0.20080130.1mdv2008.1
+ Revision: 160221
- Release from svn 20080130.

* Thu Jan 10 2008 Adam Williamson <awilliamson@mandriva.org> 0.6-0.20080105.2mdv2008.1
+ Revision: 147668
- change the swh-plugins require to a suggest as it's in contrib (thanks blino)

* Sun Jan 06 2008 Giuseppe Ghibò <ghibo@mandriva.com> 0.6-0.20080105.1mdv2008.1
+ Revision: 146067
- Use new CMAKE_CXX_FLAGS (thanks to Marco Gittler).
- Release svn 20080105.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Giuseppe Ghibò <ghibo@mandriva.com> 0.6-0.20071212.1mdv2008.1
+ Revision: 119110
- svn 20071212
- Use cmake.
- Add Patch1 to have the .desktop file at the right place.

* Mon Nov 19 2007 Adam Williamson <awilliamson@mandriva.org> 0.6-0.20071031.3mdv2008.1
+ Revision: 110563
- requires swh-plugins (#33601)

* Thu Nov 01 2007 Giuseppe Ghibò <ghibo@mandriva.com> 0.6-0.20071031.2mdv2008.1
+ Revision: 104718
- Removed extension from icon name.
- Revert update|clean menus removing.
- * Sun Oct 31 2007 Giuseppe Ghib?\195?\178 <ghibo@mandriva.com> 0.6-0.20071007.1
- svn 20071031.
- don't libtoolize (problems with -rpath which isn't disabled).
- removed update|clean menus since there aren't.

* Thu Aug 16 2007 Funda Wang <fwang@mandriva.org> 0.5-2mdv2008.0
+ Revision: 64117
- fix file list
- Renew tarball

* Sun Aug 12 2007 Funda Wang <fwang@mandriva.org> 0.5-1mdv2008.0
+ Revision: 62192
- fix file list
- BR ffmpeg
- New version 0.5

* Fri Aug 10 2007 Funda Wang <fwang@mandriva.org> 0.4-4mdv2008.0
+ Revision: 61500
- add fdo category(bug#32464)

* Wed Aug 01 2007 Adam Williamson <awilliamson@mandriva.org> 0.4-3mdv2008.0
+ Revision: 57307
- drop old menu file
- drop now bogus dependency on piave
- small clean (drop 2006.0 conditionals)


* Wed Feb 07 2007 Laurent Montel <lmontel@mandriva.com> 0.4-2mdv2007.0
+ Revision: 117212
- Fix requires

* Wed Dec 13 2006 Anssi Hannula <anssi@mandriva.org> 0.4-1mdv2007.1
+ Revision: 96473
- from Jos?\195?\169 Jorge <jjorge@free.fr>
  o 0.4
  o drop no longer needed patch 0
  o action icons added to spec

* Sun Oct 29 2006 Anssi Hannula <anssi@mandriva.org> 0.3-1mdv2007.1
+ Revision: 73615
- 0.3
- clean spec
- drop no longer needed patches 1, 2, 3, 4
- patch0: fix autoconf detection
- add new buildrequires and requires
- use find_lang
- add clean_desktop_database
- Import kdenlive

* Wed Aug 30 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.4-4mdv2007.0
- Add Patch 4: Fix automake > 1.7 detection

* Sat Jul 01 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.43mdv2007.0
- Use macros for icons

* Sun Jan 22 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.4-2mdk
-  Add Patch 3 ( from qa.mandriva.com at vpanel.cjb.net) :
		- Fix ticket 15538
- Fix URL
- Use mkrel

* Mon Feb 21 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.4-1mdk
- 0.2.4

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-10mdk
- Fix spec file

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-9mdk
- Rebuild

* Sun May 23 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2.3-8mdk
- grf, forgot the automake buildrequires

* Sat May 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2.3-7mdk
- fix buildrequires
- do rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- fix path to qt (lib64 issue)
- added url
- fixed typo

* Thu Apr 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-6mdk
- Fix requires

* Thu Apr 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-5mdk
- use %%configure
- use mdkversion

* Mon Feb 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-4mdk
- Fix piave path

* Sun Feb 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-3mdk
- Rebuild

